#ifndef __CL_KERNEL_VENDOR_DETECTION_INCLUDED
#define __CL_KERNEL_VENDOR_DETECTION_INCLUDED

#ifdef __NV_CL_C_VERSION
/**
 *	@def NVIDIA
 *	@brief defined when compiling on NVIDIA GPUs
 */
#define NVIDIA
#endif // __NV_CL_C_VERSION

#if defined(__WinterPark__) || defined(__BeaverCreek__) || defined(__Turks__) || \
	defined(__Caicos__) || defined(__Tahiti__) || defined(__Pitcairn__) || \
	defined(__Capeverde__) || defined(__Cayman__) || defined(__Barts__) || \
	defined(__Cypress__) || defined(__Juniper__) || defined(__Redwood__) || \
	defined(__Cedar__) || defined(__ATI_RV770__) || defined(__ATI_RV730__) || \
	defined(__ATI_RV710__) || defined(__Loveland__) || defined(__Hawaii__) || \
	defined(__Fiji__) || (defined(cl_amd_device_attribute_query) && defined(__GPU__))
#define AMD
/**
 *	@def AMD
 *	@brief defined when compiling on AMD GPUs
 */
#endif // ...

#endif // !__CL_KERNEL_VENDOR_DETECTION_INCLUDED
